

#include "BUILTIN.h"

#include "Denotation.h"

#include "Bitset.h"
extern OBJ _AOcOptions_14(OBJ,OBJ);extern OBJ __AOcOptions_14;

#include "Nat.h"

#include "Array.h"
extern OBJ _AFmt_39(OBJ,OBJ,OBJ);extern OBJ __AFmt_39;

#include "Char.h"

#include "Int.h"
extern OBJ _AAcFun_22(OBJ,OBJ,OBJ);extern OBJ __AAcFun_22;
extern OBJ _AAcFun_23(OBJ,OBJ);extern OBJ __AAcFun_23;
extern OBJ _AAnFun_3(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AAnFun_3;
extern OBJ _AAcDump_1(OBJ,OBJ);OBJ __AAcDump_1; /* acDump */
OBJ __AAcDump_2; /* acDump'2 */
OBJ __AAcDump_3; /* acDump'3 */
OBJ __AAcDump_4; /* acDump'4 */
OBJ __AAcDump_5; /* acDump'5 */
OBJ __AAcDump_6; /* acDump'6 */

extern OBJ _AAcDump_1(OBJ x1,OBJ x2) /* acDump */
{OBJ r;
 CPPRD(__AAcDump_2,1);
 CPPRD(__AAcDump_3,1);
 CPPRD(__AAcDump_4,1);
 CPPRD(__AAcDump_5,1);
 CPPRD(__AAcDump_6,1);
 CPCLS(__AAcFun_23,1);
 CPPRD(x1,4);
 CPPRD(x2,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x12;OBJ x11;OBJ x10;OBJ x13;OBJ x14;
  x3=_AOcOptions_14(__AAcDump_2,x1);
  x4=_AOcOptions_14(__AAcDump_3,x1);
  x5=_AOcOptions_14(__AAcDump_4,x1);
  x6=_AOcOptions_14(__AAcDump_5,x1);
  x7=_AOcOptions_14(__AAcDump_6,x1);
  x8=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_23,1))(__AAcFun_23,x2);
  x9=inline_c_nat((NAT)(79));
  if(ISTGPRM(x7,1)){
   x12=__ABUILTIN_3;
  }else{
   x12=__ABUILTIN_5;}
  if(ISTGPRM(x6,1)){
   x11=__ABUILTIN_3;
  }else{
   x11=__ABUILTIN_5;}
  if(ISTGPRM(x3,1)){
   CPCLS(__AAnFun_3,1);
   x10=__ABUILTIN_3;
  }else{
   CPCLS(__AAnFun_3,1);
   x10=__ABUILTIN_5;}
  x13=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AAnFun_3,5))(__AAnFun_3,x12,x11,x5,x4,x10);
  x14=_AAcFun_22(x8,x13,x2);
  r=_AFmt_39(__ANat_5,x9,x14);}
 return r;}

init_AAcDump()
{
 static int visited=0; if(visited) return; visited=1;
 init_ATree();
 init_ADenotation();
 init_ABitset();
 init_AMap();
 init_AOcOptions();
 init_AMapReduce();
 init_AString();
 init_ASeqReduce();
 init_AAc();
 init_ASetByBST();
 init_ANat();
 init_ABSTree();
 init_ASeq();
 init_AArray();
 init_ANatMap();
 init_AIde();
 init_AAn();
 init_ATypeAn();
 init_ASourceAn();
 init_AOptimAn();
 init_ATransAn();
 init_APragmaAn();
 init_AOption();
 init_AStore();
 init_AFormat();
 init_ACom();
 init_AStream();
 init_AVoid();
 init_AFmt();
 init_AChar();
 init_AFile();
 init_AInt();
 init_ASet();
 init_APair();
 init_AIdeMap();
 init_AAcFun();
 init_AAnFun();
 init_APreparedOptions();
 DEN("noDumpType",__AAcDump_6);
 DEN("noDumpSource",__AAcDump_5);
 DEN("dumpOptim",__AAcDump_4);
 DEN("dumpTrans",__AAcDump_3);
 DEN("noDumpPragma",__AAcDump_2);
 CLS(2,_AAcDump_1,__AAcDump_1);}

